<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
	th:replace="~{master_template :: master_template (#{title.page},'index_page')}">
	
	<th:block th:fragment="header">
		<link rel="stylesheet" th:href="@{/resources/css/index/index.css}">
	</th:block>
	
	<th:block th:fragment="scripts">
		require(['require-main'], function() {
    		require(['wcc/index/index'], function(IndexPage) {
    			IndexPage.init();
      		});
    	});
	</th:block>	
	
	<th:block th:fragment="content">
		<h1 th:text="#{wcc.index.h1.title}"></h1>
		
		<div class="page-content">
			<div class="content-1">
				<h3>Please fill in the fields.</h3>
				<form name="frm_distance" id="frm_distance" enctype="multipart/form-data">
					<table>
						<tr>
							<td>Postcode 1</td>
							<td>:</td>
							<td><input type="text" name="in_dest_from" id="in_dest_from" /></td>
						</tr>
						<tr>
							<td>Postcode 2</td>
							<td>:</td>
							<td><input type="text" name="in_dest_to" id="in_dest_to" /></td>
						</tr>
						<tr>
							<td colspan="2"></td>
							<td>
								<input type="submit" value="Submit" id="btn_submit" class="btn btn-sm btn-primary" />
					        	<input type="reset" value="Reset"  class="btn btn-sm btn-default"/>
					        </td>
						</tr>
					</table>
<!-- 			    	<p><label class="content-label">From :</label><input type="text" name="in_dest_from" id="in_dest_from" /></p> -->
<!-- 			        <p><label class="content-label">To :</label><input type="text" name="in_dest_to" id="in_dest_to" /></p> -->
<!-- 			        <p> -->
<!-- 			        	<input type="submit" value="Submit" id="btn_submit" class="btn btn-sm btn-primary" />  -->
<!-- 			        	<input type="reset" value="Reset"  class="btn btn-sm btn-default"/> -->
<!-- 			        </p> -->
			    </form>
			</div>
			<div class="content-2">
				<h3>Distance Details.</h3>
				<form name="frm_updatedistance" id="frm_updatedistance" enctype="multipart/form-data">
					<table>
						<tr>
							<td colspan="2">&nbsp;Total Distance &nbsp;: &nbsp;<input type="text" name="in_total_distance" id="in_total_distance" disabled/></td>
						</tr>
						<tr><td colspan="2"><hr/></td></tr>
						<tr>
							<td colspan="2"><h3>Update the postcode details.</h3></td>
						</tr>
						<tr>
							<td>
								<table class="inner-table">
									<tr>
										<td>Postcode 1</td><td>:</td><td><input type="text" name="in_ps_1_up" id="in_ps_1_up" disabled/></td>				
									</tr>
									<tr>
										<td>Latitude 1</td><td>:</td><td><input type="text" name="in_lat_1_up" id="in_lat_1_up" /></td>				
									</tr>
									<tr>
										<td>Longitude 1</td><td>:</td><td><input type="text" name="in_long_1_up" id="in_long_1_up" /></td>				
									</tr>
									<tr>
										<td colspan="2"></td>
										<td><input value="Update Postcode 1" id="btn_submit_1" class="btn btn-sm btn-primary" /> </td>				
									</tr>
								</table>
							</td>
							<td>
								<table class="inner-table">
									<tr>
										<td>Postcode 2</td><td>:</td><td><input type="text" name="in_ps_2_up" id="in_ps_2_up" disabled/></td>				
									</tr>
									<tr>
										<td>Latitude 2</td><td>:</td><td><input type="text" name="in_lat_2_up" id="in_lat_2_up" /></td>				
									</tr>
									<tr>
										<td>Longitude 2</td><td>:</td><td><input type="text" name="in_long_2_up" id="in_long_2_up" /></td>				
									</tr>
									<tr>
										<td colspan="2"></td>
										<td><input value="Update Postcode 2" id="btn_submit_2" class="btn btn-sm btn-primary" /> </td>				
									</tr>
								</table>
							</td>
						</tr>
					</table>
<!-- 			        <p> -->
<!-- 			        	<input type="submit" value="Update" id="btn_submit" class="btn btn-sm btn-primary" />  -->
<!-- 			        	<input type="reset" value="Reset"  class="btn btn-sm btn-default"/> -->
<!-- 			        </p> -->
			    </form>
			</div>
			
<!-- 			<form id="frm_distance" name="frm_distance" enctype="multipart/form-data"> -->
<!-- 				<div class="modal-body"> -->
<!-- 					<div class="form-group"> -->
<!-- 						<label class="col-form-label">From</label> -->
<!-- 						<div class='wrapper'> -->
<!-- 							 <input type="text" name="in_dest_from" id="in_dest_from" /> -->
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 					<div class="form-group"> -->
<!-- 						<label class="col-form-label">To</label> -->
<!-- 						<div class='wrapper'> -->
<!-- 							 <input type="text" name="in_dest_to" id="in_dest_to" /> -->
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 				</div> -->
<!-- 				<div class="modal-footer"> -->
<!-- 					<button type="submit" name="btn_filterSubmit" class="btn btn-sm btn-primary" th:text="#{label.submit.btn}"></button> -->
<!-- 				</div> -->
<!-- 			</form> -->
		</div>
	</th:block>
</html>
